package org.gcube.resourcemanagement.documentation;

import java.io.File;
import java.util.List;

import org.gcube.informationsystem.utils.documentation.DocumentationGenerator;
import org.gcube.resourcemanagement.model.impl.GCubeModelRegistrationProvider;
import org.junit.Test;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * @author Luca Frosini (ISTI - CNR)
 */
public class ISMDiscoveryForDocumentation {

	private static final Logger logger = LoggerFactory.getLogger(ISMDiscoveryForDocumentation.class);
	
	@Test
	public void generateDocumentation() throws Exception {
		File documentationDirectory = new File("docs");
		DocumentationGenerator documentationGenerator = new DocumentationGenerator(documentationDirectory);
		
//		Type type = TypeMapper.createTypeDefinition(ValueSchema.class);
//		documentationGenerator.generatePropertySection(type);
		List<Package> pkgs = (new GCubeModelRegistrationProvider()).getPackagesToRegister(); 
		documentationGenerator.generate(pkgs);
	}
}
